Wireshark error install on MAC


#1

I’m trying to install Wireshark on my MacBook OS X 10.5.5 and launching produced this prompt error report below which I copied directly from the source and pasted below. What am I doing wrong? It seems that their is an compatible library version, and I’ve researched certain bugs with Wireshark installs on the MAC platform.


Process: wireshark-bin [155]
Path: /Applications/Wireshark.app/Contents/Resources/bin/wireshark-bin
Identifier: wireshark-bin
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: Wireshark [154]

Date/Time: 2010-03-16 23:08:10.391 -0400
OS Version: Mac OS X 10.5.5 (9F33)
Report Version: 6

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread: 0

Dyld Error Message:
Library not loaded: /usr/X11/lib/libpixman-1.0.dylib
Referenced from: /Applications/Wireshark.app/Contents/Resources/bin/wireshark-bin
Reason: Incompatible library version: wireshark-bin requires version 13.0.0 or later, but libpixman-1.0.dylib provides version 12.0.0


Thanks for any info… including if this is common on a MAC. Is installation more stable on a PC?


#2

Try this chown /dev/bpf*.Fire up Wireshark and you should see the interfaces just fine.Note, Wireshark comes with a script to allow you to do this on startup. May this helps you to solve out your problem .